Subject: Re: concurrency problem (crash) of gnuwin32 b18 in nt 4.0 sp3
From: [email-masked] (Patrick J. Fay)

12 Feb 1998 17:44:23 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: "Fred T. Hamster" <[email-masked]>
Cc: [email-masked]

Hello Fred 
Try running the batch file with 'cmd /c test3.bat'. It sounds like
a memory leak (memory being allocated and not freed over the course of the 
loop). Doing 'cmd /c test3.bat' will run each part of the loop once 
and hopefully free any memory allocated at the end of the loop.
your test1.bat worked fine for me (win nt 4.0 sp3, gnu-win32 with coolview)
Pat

test3.bat:

 diff a b
 ls -C
 cat a >c
 rm.exe c

On Wed, 11 Feb 1998, Fred T. Hamster wrote:

> i've since been able to reproduce the crash problem i spoke of previously by
> running these two programs, each in a different cmd shell:
> 
> test1.bat:
> 
> :start
> diff a b
> ls -C
> cat a >c
> rm.exe c
> goto :start
> 
> test2.bat:
> 
> :start
> diff d e
> ls -C
> cat a >f
> rm.exe f
> goto :start
> 
> eventually one or the other will exhibit the messy crash and stack trace i
> mentioned.
>   i know this seems like going out of my way to find a bug, but the existence
> of this bug disallows reliable multi-tasking of gnuwin32 programs.  this is
> unfortunate.
> -chris
> 
> -- 
> __________________ chosen by the Nechung Oracle program... __________________ 
>  
> All's self-revealing, void and clear,
> Without exerting power of mind.
>  
> _____________ not necessarily my opinions, not necessarily not. _____________
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

Patrick Fay, Ph.D., Intel Corp.            email:   [email-masked]
Los Alamos National Lab                    wk:         (505) 665-9141
CTI M.S. B296                              fax:        (505) 667-5921
Los Alamos NM 87545    ASCI-RED http://www.acl.lanl.gov/~pfay/teraflop

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".